<div
  class="flex flex-col w-full lg:max-w-screen-md xl:max-w-screen-lg m-auto mt-5 relative"
>
  <div class="flex flex-col w-full lg:flex-row">
    <span
      [ngClass]="{
        'transition-all ease-in-out p-3 px-4 rounded-t text-lg hover:text-gray-200 block w-full lg:w-fit cursor-pointer hover:bg-odb-400 lg:order-2': true,
        'bg-gray-200 text-gray-800 order-2 hover:bg-gray-200 hover:text-gray-800':
          !searchByLocation,
        'bg-gray-400 text-gray-600': searchByLocation
      }"
      (click)="refSearch()"
    >
      Buscar por referencia
    </span>
    <span
      [ngClass]="{
        'transition-all ease-in-out p-3 px-4 rounded-t text-lg hover:text-gray-200 block w-full lg:w-fit cursor-pointer hover:bg-odb-400': true,
        'bg-gray-200 text-gray-800 order-1 lg:order-1 hover:bg-gray-200 hover:text-gray-800':
          searchByLocation,
        'bg-gray-400 text-gray-600': !searchByLocation
      }"
      (click)="normalSearch()"
    >
      Buscar por ubicación
    </span>
  </div>
  <form
    class="grid grid-cols-1 grid-rows-3 bg-gray-200 p-2 lg:p-4 lg:grid-cols-5 lg:grid-rows-1 rounded-b rounded-r"
    *ngIf="searchByLocation"
    #formSearchLocation
    (submit)="buyByLocation()"
  >
    <select
      #propertyType
      (change)="changeType(propertyType.value)"
      class="p-2 text-lg mb-4 border-2 border-transparent rounded lg:my-0 lg:mr-1 cursor-pointer"
    >
      <option value disabled selected hidden>Tipo de inmueble</option>
      <option value="0">Todos</option>
      <option value="1">Viviendas y pisos</option>
      <option value="2">Locales comerciales</option>
      <option value="5">Suelos</option>
      <option value="6">Garajes y trasteros</option>
      <option value="3">Edificios</option>
      <option value="4">Industrial</option>
    </select>
    <div class="lg:col-span-3 lg:col-span-3 lg:m-0 lg:mr-1 mb-4 relative">
      <input
        [ngClass]="{
          'p-2 text-lg border-2 border-transparent rounded w-full relative': true
        }"
        type="text"
        placeholder="Buscar en provincia, municipio..."
        #inputSearch
        (keyup)="searchByWords(inputSearch.value)"
        (keyup.enter)="buyByLocation()"
        (focus)="searchByWords(inputSearch.value)"
      />
      <span
        *ngIf="searching"
        class="absolute top-0 right-0 mt-3 mr-3 w-6 h-6 bg-transparent border-4 border-t-odb-400 border-r-odb-400 rounded-full animate-spin transition-all"
      ></span>
      <div
        class="bg-white w-full absolute top-100 left-0 p-1 rounded-b border-2 drop-shadow-xl"
        *ngIf="provinces.length > 0 || municipalities.length > 0"
      >
        <ul>
          <li
            class="block text-lg p-2 hover:bg-gray-200 cursor-pointer rounded"
            *ngFor="let item of provinces"
            (click)="clickOnResults('province', item.id.toString())"
          >
            {{ item.name }}
            <span
              class="block tracking-wide uppercase text-xxs text-odb-500 font-bold"
              ><i class="bi bi-geo-alt-fill"></i>Provincia</span
            >
          </li>
          <li
            class="block text-lg p-2 hover:bg-gray-200 cursor-pointer rounded"
            *ngFor="let item of municipalities"
            (click)="clickOnResults('municipality', item.id.toString())"
          >
            {{ item.name }}
            <span
              class="block tracking-wide uppercase text-xxs text-odb-500 font-bold"
              ><i class="bi bi-geo-alt-fill"></i>Municipio</span
            >
          </li>
        </ul>
      </div>
    </div>
    <button
      type="submit"
      class="flex justify-center items-center text-lg bg-odb-400 text-gray-200 rounded cursor-pointer transition-all ease-in-out hover:bg-odb-800 border-2 border-odb-400"
    >
      <i class="bi bi-search text-xl mr-4 -ml-4"></i>Buscar
    </button>
  </form>
  <form
    class="grid grid-cols-1 grid-rows-2 bg-gray-200 p-2 lg:p-4 lg:grid-cols-5 lg:grid-rows-1 rounded"
    *ngIf="!searchByLocation"
    #formSearchRef
  >
    <div class="lg:col-span-4 lg:m-0 lg:mr-1 mb-4 relative">
      <input
        class="p-2 text-lg border-2 border-transparentrounded w-full"
        type="text"
        placeholder="Buscar por referencia"
        #inputSearch
        (keyup)="searchByWords(inputSearch.value)"
        (focus)="searchByWords(inputSearch.value)"
      />
      <div
        class="bg-white w-full absolute top-6/6 left-0 p-1 rounded-b border-2 border-transparent rounded"
        *ngIf="reference || refError"
      >
        <ul>
          <li
            class="block text-lg p-2 hover:bg-gray-200 cursor-pointer rounded"
            (click)="clickOnResults('reference', reference.reference)"
            *ngIf="reference"
          >
            {{ reference.reference }}
            <span class="block tracking-wide uppercase text-xxs font-bold"
              ><i class="bi bi-hash"></i>Referencia</span
            >
          </li>
          <li
            class="block text-lg p-2 hover:bg-gray-200 cursor-pointer rounded"
            *ngIf="refError"
          >
            <i class="bi bi-exclamation-circle-fill text-orange-600 mr-2"></i>
            Referencia no encontrada
          </li>
        </ul>
      </div>
    </div>
    <button
      type="submit"
      class="flex justify-center items-center text-lg bg-odb-400 text-gray-200 rounded cursor-pointer transition-all ease-in-out hover:bg-odb-800 border-2 border-odb-400"
    >
      <i class="bi bi-search text-xl mr-4 -ml-4"></i>Buscar
    </button>
  </form>
</div>
